Bug 251742 - hal storage incorrectly reports drive safe to remove
hal storage incorrectly reports drive safe to remove
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-10 15:38 EDT by James
Modified: 2013-03-05 22:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-02 04:51:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James 2007-08-10 15:38:31 EDT
Description of problem:
gnome-volume-manager incorrectly reports that a removable drive is safe to
remove when one partition on it is unmounted, but others remain mounted.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create two (or more) partitions on a removable drive, USB stick, etc. with
auto-mountable filesystems (for sake of argument call them /dev/sdb1, /dev/sdb2).
2. Attach the drive.
3. Put a 100MB or so file on one of the drive's partitions (e.g. /dev/sdb2) to
prevent the buffers from syncing too quickly.
4. Unmount this partition in GNOME, so that the "data to be written" pop-up shows.
5. Note that the next pop-up implies that the drive can be removed, even though
other partitions (/dev/sdb1) on it are still mounted.
Actual results:
g-v-m incorrectly implies that the drive with partitions still mounted
(/dev/sdb1) may be removed.

Expected results:
g-v-m tracks the actual device (/dev/sdb) and only says "safe to remove" when
all its partitions are unmounted.
Comment 1 James 2008-02-15 16:56:39 EST
Still present in F8, gnome-volume-manager-2.17.0-8.fc8.
Comment 2 Bug Zapper 2008-11-26 02:40:17 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 James 2008-12-21 14:06:39 EST
Still present in F10, hal-0.5.12-12.20081027git.fc10.x86_64.
Comment 4 Scott Glaser 2009-04-07 19:40:53 EDT

Have you tried with the latest hal package in Fedora 10 (hal-0.5.12-14.20081027git.fc10.i386) or tried Rawhide? In
either case, can you let us know whether the issue is still happening, and give
the current version of the HAL packages you're using?

Fedora Bugzappers volunteer triage team
Comment 5 Scott Glaser 2009-09-09 07:48:34 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Fedora Bugzappers volunteer triage team
Comment 6 James 2009-09-10 05:30:55 EDT
This is still present in


After unmounting, a message pops up that the recently unmounted *volume* is safe to remove. This is, of course, meaningless (or even misleading) as only the physical device may be removed --- and it's not safe to do so if there's still a mounted volume on it.
Comment 7 James 2009-11-02 04:51:11 EST
It would appear that this is handled better now in Rawhide, which gives a "Safely Disconnect" option for drives that unmounts all partitions and shuts the device down.

Note You need to log in before you can comment on or make changes to this bug.